Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Indexes

Create or update a version

PATCH /indexes/{name}/versions/{version}

Create a new or update an existing Index with the given version id

Query parameters

api-version string required

The API version to use for this operation.

Path parameters

name string required

The name of the resource

version string required

The specific version id of the Index to create or update.

Request Body

The Index to create or update.

Content-Type: application/merge-patch+json
One of the following:
AzureSearch AzureAISearchIndexUpdate

Azure AI Search Index Definition

type enum required

Type of index

AzureSearch
ManagedAzureSearch ManagedAzureAISearchIndexUpdate

Managed Azure AI Search Index Definition

type enum required

Type of index

ManagedAzureSearch
CosmosDBNoSqlVectorStore CosmosDBIndexUpdate

CosmosDB Vector Store Index Definition

type enum required

Type of index

CosmosDBNoSqlVectorStore

Responses

The request has succeeded.

Body

Content-Type: application/json
One of the following:
AzureSearch AzureAISearchIndex

Azure AI Search Index Definition

type enum required

Type of index

AzureSearch
ManagedAzureSearch ManagedAzureAISearchIndex

Managed Azure AI Search Index Definition

type enum required

Type of index

ManagedAzureSearch
CosmosDBNoSqlVectorStore CosmosDBIndex

CosmosDB Vector Store Index Definition

type enum required

Type of index

CosmosDBNoSqlVectorStore

The request has succeeded and a new resource has been created as a result.

Body

Content-Type: application/json
One of the following:
AzureSearch AzureAISearchIndex

Azure AI Search Index Definition

type enum required

Type of index

AzureSearch
ManagedAzureSearch ManagedAzureAISearchIndex

Managed Azure AI Search Index Definition

type enum required

Type of index

ManagedAzureSearch
CosmosDBNoSqlVectorStore CosmosDBIndex

CosmosDB Vector Store Index Definition

type enum required

Type of index

CosmosDBNoSqlVectorStore

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

PATCH /indexes/{name}/versions/{version} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026